Subject: Re: [PATCH net 1/6] net/mlx4_en: Do not count dropped packets twice

From: Or Gerlitz <[email-masked]>
Date: Wed, 17 Feb 2016 12:19:48 +0200

On 2/16/2016 8:31 PM, Rick Jones wrote:
>
> I'm still not clear on when an Acked-by is appropriate, but given that 
> this has been a non-trivial frustration for a long time, a hearty 
> endorsement from me.  Perhaps not important enough but it would be 
> nice to have it flow back a release or two.

sure, will ask stable inclusion as well

>
> That said, should mlx4_en_stats->RdropOvflw still be going into both 
> rx_fifo_errors and rx_over_errors?
>
>         stats->rx_over_errors = be32_to_cpu(mlx4_en_stats->RdropOvflw);
>         stats->rx_crc_errors = be32_to_cpu(mlx4_en_stats->RCRC);
>         stats->rx_frame_errors = 0;
>         stats->rx_fifo_errors = be32_to_cpu(mlx4_en_stats->RdropOvflw);

yep, point taken, we will leave it only for the over ones, thanks for 
pointing this out

Or.